ao-strs.c revision 1.3
1/*	$NetBSD: ao-strs.c,v 1.3 2015/07/10 14:20:35 christos Exp $	*/
2
3/*  -*- buffer-read-only: t -*- vi: set ro:
4 *
5 * DO NOT EDIT THIS FILE   (ao-strs.c)
6 *
7 * It has been AutoGen-ed
8 * From the definitions    ao-strs.def
9 * and the template file   strings
10 *
11 *  Copyright (C) 2011-2015 Bruce Korb, all rights reserved.
12 *  This is free software. It is licensed for use, modification and
13 *  redistribution under the terms of the
14 *  Modified (3 clause) Berkeley Software Distribution License
15 *  <http://www.xfree86.org/3.3.6/COPYRIGHT2.html>
16 *
17 *  Redistribution and use in source and binary forms, with or without
18 *  modification, are permitted provided that the following conditions
19 *  are met:
20 *  1. Redistributions of source code must retain the above copyright
21 *     notice, this list of conditions and the following disclaimer.
22 *  2. Redistributions in binary form must reproduce the above copyright
23 *     notice, this list of conditions and the following disclaimer in the
24 *     documentation and/or other materials provided with the distribution.
25 *  3. Neither the name ``Bruce Korb'' nor the name of any other
26 *     contributor may be used to endorse or promote products derived
27 *     from this software without specific prior written permission.
28 *
29 *  strings IS PROVIDED BY Bruce Korb ``AS IS'' AND ANY EXPRESS
30 *  OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
31 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
32 *  ARE DISCLAIMED.  IN NO EVENT SHALL Bruce Korb OR ANY OTHER CONTRIBUTORS
33 *  BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
34 *  CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
35 *  SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
36 *  BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
37 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
38 *  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
39 *  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
40 */
41#include "ao-strs.h"
42
43char const ao_strs_strtable[6633] =
44/*     0 */ "-_^\0"
45/*     4 */ "  %s%s\n\0"
46/*    12 */ "auto-options\0"
47/*    25 */ "program\0"
48/*    33 */ "%%-%ds %%s\n\0"
49/*    45 */ "\n"
50            "%s\n\n\0"
51/*    51 */ "=file\0"
52/*    57 */ "=Mbr\0"
53/*    62 */ "=Cplx\0"
54/*    68 */ "[=arg]\0"
55/*    75 */ "--%2$s%1$s\0"
56/*    86 */ "=Tim\0"
57/*    91 */ "none\0"
58/*    96 */ "#  preset/initialization file\n"
59            "#  %s#\n\0"
60/*   134 */ " %3s %-14s %s\0"
61/*   148 */ "%s\0"
62/*   151 */ "T/F\0"
63/*   155 */ "\n"
64            "%s\n\n"
65            "%s\0"
66/*   163 */ "Fil\0"
67/*   167 */ "KWd\0"
68/*   171 */ "Mbr\0"
69/*   175 */ "Cpx\0"
70/*   179 */ "no \0"
71/*   183 */ "Num\0"
72/*   187 */ "opt\0"
73/*   191 */ "YES\0"
74/*   195 */ "Str\0"
75/*   199 */ "Tim\0"
76/*   203 */ "\t\t\t\t- \0"
77/*   210 */ "\t\t\t\t  \0"
78/*   217 */ "\t\t\t\t-- and \0"
79/*   229 */ "\t\t\t\t%s\n\0"
80/*   237 */ "      \0"
81/*   244 */ "     \0"
82/*   250 */ "   \0"
83/*   254 */ "  \0"
84/*   257 */ "all\0"
85/*   261 */ " \t\n"
86            ":=\0"
87/*   267 */ "%s_%s_%d=\0"
88/*   277 */ "''\0"
89/*   280 */ "        ;;\n\n\0"
90/*   293 */ "'\n\n\0"
91/*   297 */ "</%s>\n\0"
92/*   304 */ "  %s\n\0"
93/*   310 */ "%%-%ds\0"
94/*   317 */ "\n"
95            "export %s_%s_%d\n\0"
96/*   335 */ "false\0"
97/*   341 */ "    -* )\n\0"
98/*   351 */ "flag\0"
99/*   356 */ "INVALID-%d\0"
100/*   367 */ "*INVALID*\0"
101/*   377 */ "\\n\\\n\0"
102/*   382 */ "    --* )\n\0"
103/*   393 */ "--\0"
104/*   396 */ "LONGUSAGE\0"
105/*   406 */ "            %s\n\0"
106/*   422 */ "\\%03o\0"
107/*   428 */ "more\0"
108/*   433 */ "<%s type=nested>\n\0"
109/*   451 */ "%s\n\0"
110/*   455 */ "%s\n"
111            "  \0"
112/*   461 */ "OPT_ARG_NEEDED=NO\0"
113/*   479 */ "<%s/>\n\0"
114/*   486 */ "OPT_ARG_NEEDED=OK\0"
115/*   504 */ "\t\0"
116/*   506 */ "<%s>\0"
117/*   511 */ "option\0"
118/*   518 */ "\n"
119            "export %s_%s\n\0"
120/*   533 */ "%s_%s=\0"
121/*   540 */ " | \0"
122/*   544 */ "PAGER\0"
123/*   550 */ " + \0"
124/*   554 */ "  puts(_(%s));\n\0"
125/*   570 */ "\\'\0"
126/*   573 */ "'%s'\0"
127/*   578 */ " -- %s\0"
128/*   585 */ "%s_%s_TEXT='\0"
129/*   598 */ "#! %s\n\0"
130/*   605 */ "\n"
131            "env | grep '^%s_'\n\0"
132/*   625 */ "=%1$lu # 0x%1$lX\n\0"
133/*   643 */ "stdout\0"
134/*   650 */ "%A %B %e, %Y at %r %Z\0"
135/*   672 */ "%s/use-%u.XXXXXX\0"
136/*   689 */ "true\0"
137/*   694 */ "<%s type=%s>\0"
138/*   707 */ "VERSION\0"
139/*   715 */ "#x%02X;\0"
140/*   723 */ "OPT_ARG_NEEDED=YES\0"
141/*   742 */ "'\\''\0"
142/*   747 */ " '%s'\0"
143/*   753 */ "\n"
144            "OPTION_CT=0\n\0"
145/*   767 */ "set --\0"
146/*   774 */ "            ;;\n\n\0"
147/*   791 */ "        '%c' )\n\0"
148/*   807 */ "        '%s' )\n\0"
149/*   823 */ "        '%s' | \\\n\0"
150/*   841 */ "TMPDIR\0"
151/*   848 */ "/tmp\0"
152/*   853 */ "%1$s %2$s ; rm -f %2$s\0"
153/*   876 */ "<%1$s type=boolean>%2$s</%1$s>\n\0"
154/*   908 */ "#  From the %s option definitions\n"
155            "#\n\0"
156/*   945 */ "echo 'Warning:  Cannot load options files' >&2\0"
157/*   992 */ "echo 'Warning:  Cannot save options files' >&2\0"
158/*  1039 */ "echo 'Warning:  Cannot suppress the loading of options files' >&2\0"
159/*  1105 */ "<%1$s type=integer>0x%2$lX</%1$s>\n\0"
160/*  1140 */ "%1$s_%2$s_TEXT='no %2$s text'\n\0"
161/*  1171 */ "%1$s_%2$s_MODE='%3$s'\n"
162            "export %1$s_%2$s_MODE\n\0"
163/*  1216 */ "%1$s_%2$s='%3$s'\n"
164            "export %1$s_%2$s\n\0"
165/*  1251 */ "%1$s_%2$s_CT=%3$d\n"
166            "export %1$s_%2$s_CT\n\0"
167/*  1290 */ "OPTION_CT=%d\n"
168            "export OPTION_CT\n\0"
169/*  1321 */ "%1$s_%2$s=%3$s\n"
170            "export %1$s_%2$s\n\0"
171/*  1354 */ "%1$s_%2$s=%3$d # 0x%3$X\n"
172            "export %1$s_%2$s\n\0"
173/*  1396 */ "        case \"${OPT_CODE}\" in\n\0"
174/*  1427 */ "            if [ $%1$s_%2$s_CT -gt %3$u ] ; then\n"
175            "                echo 'Error:  more than %3$d %2$s options'\n"
176            "                echo \"$%1$s_USAGE_TEXT\"\n"
177            "                exit 1\n"
178            "            fi >&2\n\0"
179/*  1618 */ "test ${%1$s_%2$s_CT-0} -ge %3$u || {\n"
180            "    echo %1$s_%2$s has not been set\n"
181            "    exit 1\n"
182            "} 1>&2\n\0"
183/*  1710 */ "test -n \"$%1$s_%2$s\" || {\n"
184            "    echo %1$s_%2$s has not been set\n"
185            "    exit 1\n"
186            "} 1>&2\n\0"
187/*  1791 */ "            echo \"$%s_%s_TEXT\"\n"
188            "            exit 0\n\0"
189/*  1842 */ "\n"
190            "# # # # # # # # # #\n"
191            "#\n"
192            "#  END OF AUTOMATED OPTION PROCESSING\n"
193            "#\n"
194            "# # # # # # # # # # -- do not modify this marker --\n\0"
195/*  1958 */ "    if [ -n \"${OPT_ARG_VAL}\" ]\n"
196            "    then\n"
197            "        eval %1$s_${OPT_NAME}${OPT_ELEMENT}=\"'${OPT_ARG_VAL}'\"\n"
198            "        export %1$s_${OPT_NAME}${OPT_ELEMENT}\n"
199            "    fi\n"
200            "done\n"
201            "OPTION_COUNT=`expr $ARG_COUNT - $#`\n"
202            "OPERAND_COUNT=$#\n"
203            "unset OPT_PROCESS || :\n"
204            "unset OPT_ELEMENT || :\n"
205            "unset OPT_ARG     || :\n"
206            "unset OPT_ARG_NEEDED || :\n"
207            "unset OPT_NAME    || :\n"
208            "unset OPT_CODE    || :\n"
209            "unset OPT_ARG_VAL || :\n\0"
210/*  2337 */ "        OPT_CODE=`echo \"X${OPT_ARG}\"|sed 's/^X-*//'`\n"
211            "        shift\n"
212            "        OPT_ARG=$1\n"
213            "        case \"${OPT_CODE}\" in *=* )\n"
214            "            OPT_ARG_VAL=`echo \"${OPT_CODE}\"|sed 's/^[^=]*=//'`\n"
215            "            OPT_CODE=`echo \"${OPT_CODE}\"|sed 's/=.*$//'` ;; esac\n\0"
216/*  2588 */ "        OPT_CODE=`echo \"X${OPT_ARG}\" | sed 's/X-\\(.\\).*/\\1/'`\n"
217            "        OPT_ARG=` echo \"X${OPT_ARG}\" | sed 's/X-.//'`\n\0"
218/*  2705 */ "\n"
219            "ARG_COUNT=$#\n"
220            "OPT_PROCESS=true\n"
221            "OPT_ARG=$1\n"
222            "while ${OPT_PROCESS} && [ $# -gt 0 ]\n"
223            "do\n"
224            "    OPT_ELEMENT=''\n"
225            "    OPT_ARG_VAL=''\n\n"
226            "    case \"${OPT_ARG}\" in\n"
227            "    -- )\n"
228            "        OPT_PROCESS=false\n"
229            "        shift\n"
230            "        ;;\n\0"
231/*  2912 */ "        case \"${OPT_ARG_NEEDED}\" in\n"
232            "        NO )\n"
233            "            OPT_ARG_VAL=''\n"
234            "            ;;\n"
235            "        YES )\n"
236            "            if [ -z \"${OPT_ARG_VAL}\" ]\n"
237            "            then\n"
238            "                if [ $# -eq 0 ]\n"
239            "                then\n"
240            "                    echo No argument provided for ${OPT_NAME} option\n"
241            "                    echo \"$%s_USAGE_TEXT\"\n"
242            "                    exit 1\n"
243            "                fi >&2\n"
244            "                OPT_ARG_VAL=${OPT_ARG}\n"
245            "                shift\n"
246            "                OPT_ARG=$1\n"
247            "            fi\n"
248            "            ;;\n"
249            "        OK )\n"
250            "            if [ -z \"${OPT_ARG_VAL}\" ] && [ $# -gt 0 ]\n"
251            "            then\n"
252            "                case \"${OPT_ARG}\" in -* ) ;; * )\n"
253            "                    OPT_ARG_VAL=${OPT_ARG}\n"
254            "                    shift\n"
255            "                    OPT_ARG=$1 ;; esac\n"
256            "            fi\n"
257            "            ;;\n"
258            "        esac\n\0"
259/*  3691 */ "            %1$s_%2$s_CT=`expr ${%1$s_%2$s_CT} + 1`\n"
260            "            OPT_ELEMENT=\"_${%1$s_%2$s_CT}\"\n"
261            "            OPT_NAME='%2$s'\n\0"
262/*  3815 */ "\n"
263            "if test -z \"${%1$s_%2$s}\"\n"
264            "then\n"
265            "  %1$s_%2$s_CT=0\n"
266            "  export %1$s_%2$s_CT\n"
267            "else\n"
268            "  %1$s_%2$s_CT=1\n"
269            "  %1$s_%2$s_1=${%1$s_%2$s}\n"
270            "  export %1$s_%2$s_CT %1$s_%2$s_1\n"
271            "fi\n\0"
272/*  3973 */ "    * )\n"
273            "         OPT_PROCESS=false\n"
274            "         ;;\n"
275            "    esac\n\0"
276/*  4030 */ "            %1$s_%2$s_CT=0\n"
277            "            OPT_ELEMENT=''\n"
278            "            %1$s_%2$s='%3$s'\n"
279            "            export %1$s_%2$s\n"
280            "            OPT_NAME='%2$s'\n\0"
281/*  4171 */ "            if [ -n \"${%1$s_%2$s}\" ] && ${%1$s_%2$s_set} ; then\n"
282            "                echo 'Error:  duplicate %2$s option'\n"
283            "                echo \"$%1$s_USAGE_TEXT\"\n"
284            "                exit 1\n"
285            "            fi >&2\n"
286            "            %1$s_%2$s_set=true\n"
287            "            %1$s_%2$s='%3$s'\n"
288            "            export %1$s_%2$s\n"
289            "            OPT_NAME='%2$s'\n\0"
290/*  4488 */ "\n"
291            "ARG_COUNT=$#\n"
292            "OPT_ARG=$1\n"
293            "while [ $# -gt 0 ]\n"
294            "do\n"
295            "    OPT_ELEMENT=''\n"
296            "    OPT_ARG_VAL=''\n"
297            "    OPT_ARG=${1}\n\0"
298/*  4591 */ "        case \"${OPT_ARG_NEEDED}\" in\n"
299            "        NO )\n"
300            "            if [ -n \"${OPT_ARG}\" ]\n"
301            "            then\n"
302            "                OPT_ARG=-${OPT_ARG}\n"
303            "            else\n"
304            "                shift\n"
305            "                OPT_ARG=$1\n"
306            "            fi\n"
307            "            ;;\n"
308            "        YES )\n"
309            "            if [ -n \"${OPT_ARG}\" ]\n"
310            "            then\n"
311            "                OPT_ARG_VAL=${OPT_ARG}\n"
312            "            else\n"
313            "                if [ $# -eq 0 ]\n"
314            "                then\n"
315            "                    echo No argument provided for ${OPT_NAME} option\n"
316            "                    echo \"$%s_USAGE_TEXT\"\n"
317            "                    exit 1\n"
318            "                fi >&2\n"
319            "                shift\n"
320            "                OPT_ARG_VAL=$1\n"
321            "            fi\n"
322            "            shift\n"
323            "            OPT_ARG=$1\n"
324            "            ;;\n"
325            "        OK )\n"
326            "            if [ -n \"${OPT_ARG}\" ]\n"
327            "            then\n"
328            "                OPT_ARG_VAL=${OPT_ARG}\n"
329            "                shift\n"
330            "                OPT_ARG=$1\n"
331            "            else\n"
332            "                shift\n"
333            "                if [ $# -gt 0 ]\n"
334            "                then\n"
335            "                    case \"$1\" in -* ) ;; * )\n"
336            "                        OPT_ARG_VAL=$1\n"
337            "                        shift ;; esac\n"
338            "                    OPT_ARG=$1\n"
339            "                fi\n"
340            "            fi\n"
341            "            ;;\n"
342            "        esac\n\0"
343/*  5745 */ "            echo \"$%s_LONGUSAGE_TEXT\" | ${PAGER-more}\n"
344            "            exit 0\n\0"
345/*  5819 */ "%s OF %s\n"
346            "#\n"
347            "#  From here to the next `-- do not modify this marker --',\n"
348            "#  the text has been generated %s\n\0"
349/*  5925 */ "            eval %1$s_%2$s${OPT_ELEMENT}=true\n"
350            "            export %1$s_%2$s${OPT_ELEMENT}\n\0"
351/*  6015 */ "            if [ -n \"${%1$s_%2$s}\" ] && ${%1$s_%2$s_set} ; then\n"
352            "                echo 'Error:  duplicate %2$s option'\n"
353            "                echo \"$%1$s_USAGE_TEXT\"\n"
354            "                exit 1\n"
355            "            fi >&2\n"
356            "            %1$s_%2$s_set=true\n"
357            "            OPT_NAME='%2$s'\n\0"
358/*  6274 */ "\n"
359            "%1$s_%2$s=${%1$s_%2$s-'%3$s'}\n"
360            "%1$s_%2$s_set=false\n"
361            "export %1$s_%2$s\n\0"
362/*  6343 */ "\n"
363            "%1$s_%2$s=${%1$s_%2$s}\n"
364            "%1$s_%2$s_set=false\n"
365            "export %1$s_%2$s\n\0"
366/*  6405 */ "# # # # # # # # # # -- do not modify this marker --\n"
367            "#\n"
368            "#  DO NOT EDIT THIS SECTION\n\0"
369/*  6488 */ "        * )\n"
370            "            echo Unknown %s: \"${OPT_CODE}\" >&2\n"
371            "            echo \"$%s_USAGE_TEXT\" >&2\n"
372            "            exit 1\n"
373            "            ;;\n"
374            "        esac\n";
375
376/* end of ao-strs.c */
377